6.0.0-git
2019-03-21

[#13799] Opening MS-Exchange calendar reply email fails
Summary Opening MS-Exchange calendar reply email fails
Queue Horde Framework Packages
Type Bug
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester jens_reg_02 (at) nachthell (dot) net
Created 2015-01-13 (1528 days ago)
Due
Updated 2015-02-16 (1494 days ago)
Assigned 2015-01-21 (1520 days ago)
Resolved 2015-02-16 (1494 days ago)
Milestone
Patch No

History
2015-02-16 00:34:46 Michael Rubinsky Comment #17
State ⇒ Resolved
Reply to this comment
Original issue of hanging/crashing is fixed.

Additionally, we can now decode the full meeting response reply 
(though it seems in at least some sample data that the ORGANIZER field 
is only present in a sort of MAPI-handle kind of property, so the 
actual email address isn't available).
2015-02-05 14:06:27 Michael Rubinsky Comment #16
Version ⇒
Queue ⇒ Horde Framework Packages
Reply to this comment
At this point, this is more of a Horde_Compress issue, not IMP. Moving queue.
2015-02-05 14:05:47 Michael Rubinsky Comment #15 Reply to this comment
Yes, you are right, the reply was generated with a real exchange server.
Exchange/Outlook is supposed to be smart enough to not send those 
types of responses to "external" SMTP addresses. At the very least, I 
believe there is a setting that can turn this off.
It you can't fix this problem entirely it would be great if horde 
can simply ignore the wrong message and won't crash anymore.
But you already committed some code, so I think you already fixed 
this issue :)
Well, sort of. Our TNEF de-compressor has some issues where the binary 
data is read incorrectly, I'm still working on it. It's difficult 
because MS doesn't publish the structure of every TNEF/MAPI property 
and how it's used internally so, for things like messages that MS 
explicitly says are not meant to interop with non-exchange platforms, 
it needs to be reverse engineered...
2015-02-05 10:07:05 jens_reg_02 (at) nachthell (dot) net Comment #14 Reply to this comment
Yes, you are right, the reply was generated with a real exchange server.

It you can't fix this problem entirely it would be great if horde can 
simply ignore the wrong message and won't crash anymore.
But you already committed some code, so I think you already fixed this 
issue :)
2015-01-30 17:58:08 Michael Rubinsky Comment #13 Reply to this comment
So, this reply was generated by Outlook, connecting to a real Exchange 
server? NOT connected via ActiveSync, right?

The encapsulated reply does not contain enough information to generate 
a correct meeting reply. It's missing, among other things, the UID of 
the meeting, making it impossible to connect it to the original 
meeting. It's also missing the ORGANIZER since in Exchange the 
ORGANIZER data would be obtained from the parent MAPI email object.

My guess is that interop between an actual Exchange account and a 
non-exchange account in the use-case will just not work.  I can't get 
Outlook to send a response in this format while NOT connected to an 
Exchange server natively. The TNEF file probably contains some 
reference uid to the meeting's MAPI object on the exchange server, 
which we obviously don't have access to via Horde. I'm going to keep 
looking for a little bit more, but I'm close to giving up.
2015-01-21 18:23:36 Git Commit Comment #12 Reply to this comment
Changes have been made in Git (master):

commit 5830e1c8c34352db168a80a8c31b8b28e892bc92
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Wed Jan 21 10:26:32 2015 -0500

     These types of messages have explicit classes too.

     Part of Bug: 13799

  framework/Compress/lib/Horde/Compress/Tnef.php |    7 +++++++
  1 files changed, 7 insertions(+), 0 deletions(-)

http://github.com/horde/horde/commit/5830e1c8c34352db168a80a8c31b8b28e892bc92
2015-01-21 14:04:28 Michael Rubinsky Comment #11 Reply to this comment
For what it's worth, it eventually does load, but with no content to 
display, other than the attachments.
2015-01-21 14:03:30 Michael Rubinsky Comment #10
Assigned to Michael Rubinsky
State ⇒ Assigned
Reply to this comment
Looks like the reply is being sent encapsulated in a TNEF file 
(winmail.dat). We have a TNEF parser, but it must not be able to 
handle this particular reply for some reason. I'll look into it.
2015-01-18 20:53:24 jens_reg_02 (at) nachthell (dot) net Comment #9
New Attachment: Raw_Mail.eml Download
Reply to this comment
Thanks guys for your patience :)
Hopefully this file is what you need!

So I also would like to give you some more information, maybe it is 
important for finding the problem.
My mailserver runs on Debian 7 stable completely updated to the newest 
patches.
I run Dovecot and Postfix and the PHP version that is shipped with Debian.

Best,
Jens
2015-01-16 22:06:53 Michael Rubinsky Deleted Original Message
 
2015-01-16 22:06:43 Michael Rubinsky Deleted Original Message
 
2015-01-16 22:06:28 Michael Rubinsky Comment #8 Reply to this comment
No, RTF is useless for our purposes.

Open the email then:

File->Save As

Change the drop down menu in the save dialog from "Rich Text Format" 
to "Raw Message Source"
2015-01-16 21:29:44 jens_reg_02 (at) nachthell (dot) net Comment #7
New Attachment: TXT.rtf
Reply to this comment
From your email client, save the message on the hard drive. Then 
attach it here.
Well, I use Apple Mail and I only found one possibility to actually 
store the email on my hard drive. The result is again an rtf file. 
Please find the file attached. I hope that this is what you expect...
2015-01-15 10:39:16 Jan Schneider Comment #6 Reply to this comment
From your email client, save the message on the hard drive. Then 
attach it here.
2015-01-15 10:17:13 jens_reg_02 (at) nachthell (dot) net Comment #5 Reply to this comment
This is still useless. Don't copy and paste message sources. Attach 
the raw message file to this ticket instead.
Sorry for this "stupid" question, but I don't understand what you mean 
with "raw message". How can I get the raw message?
2015-01-15 09:11:38 Jan Schneider Comment #4 Reply to this comment
This is still useless. Don't copy and paste message sources. Attach 
the raw message file to this ticket instead.
2015-01-14 22:24:57 jens_reg_02 (at) nachthell (dot) net Comment #3 Reply to this comment
Please provide the raw email message.
Hi Michael!

I already provided you the raw message attached as rtf file.
However, here it is again as ASCII text.

Return-Path: <xxx@yyy.uni-leipzig.de>
Delivered-To: zzz@mail.nachthell.net
Received: from localhost (localhost [127.0.0.1])
        by mail.nachthell.net (Postfix) with ESMTP id 84522F80A5F
        for <zzz@mail.nachthell.net>; Wed, 14 Jan 2015 10:05:05 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at mail.nachthell.net
Received: from mail.nachthell.net ([127.0.0.1])
        by localhost (mail.nachthell.net [127.0.0.1]) (amavisd-new, port 10024)
        with ESMTP id U6LhsPP4mTXR for <zzz@mail.nachthell.net>;
        Wed, 14 Jan 2015 10:05:03 +0100 (CET)
Received-SPF: none (yyy.uni-leipzig.de: No applicable sender policy 
available) receiver=mail.nachthell.net; identity=mailfrom; 
envelope-from="xxx@yyy.uni-leipzig.de"; helo=v1.rz.uni-leipzig.de; 
client-ip=139.18.1.26
X-Virus-Scanned: by amavisd-new at v1-ul
X-Virus-Scanned: Debian amavisd-new at mrzs235215
Content-Type: multipart/mixed;
        boundary="_000_DAF4E05BF1B9A4479FE576CB92C9AA87873463ADS050003231mediz_"
From: "xxx, xxx" <xxx@yyy.uni-leipzig.de>
To: 'xxx xxx' <zzz@nachthell.net>
Subject: Zugesagt: Infoveranstaltung VDI/VDE Jena "Digitalisierung
  Medizintechnik"
Thread-Topic: Infoveranstaltung VDI/VDE Jena "Digitalisierung Medizintechnik"
Date: Wed, 14 Jan 2015 09:04:53 +0000
Message-ID: 
<DAF4E05BF1B9A4479FE576CB92C9AA87873463AD@S050003231.yyy.uni-leipzig.de>
Accept-Language: de-DE, en-US
Content-Language: de-DE
X-MS-Has-Attach:
X-MS-TNEF-Correlator: 
<DAF4E05BF1B9A4479FE576CB92C9AA87873463AD@S050003231.yyy.uni-leipzig.de>
MIME-Version: 1.0

--_000_DAF4E05BF1B9A4479FE576CB92C9AA87873463ADS050003231mediz_
Content-Type: text/plain; charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable




--_000_DAF4E05BF1B9A4479FE576CB92C9AA87873463ADS050003231mediz_
Content-Disposition: attachment; filename="winmail.dat"
Content-Transfer-Encoding: base64
Content-Type: application/ms-tnef; name="winmail.dat"
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--_000_DAF4E05BF1B9A4479FE576CB92C9AA87873463ADS050003231mediz_--

2015-01-13 17:36:51 Michael Rubinsky Comment #2
State ⇒ Feedback
Priority ⇒ 1. Low
Reply to this comment
Please provide the raw email message.
2015-01-13 16:19:50 jens_reg_02 (at) nachthell (dot) net Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ Opening MS-Exchange calendar reply email fails
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
New Attachment: CalendarResponseMail.rtf
Reply to this comment
Hi Guys!

I accepted a calendar invitation which was sent from Horde calendar to 
a MS Exchange server and received the acceptance reply email in Horde.
Then Horde shows the loading symbol but never shows the email.
The php-cgi processes that are started through my Lighttpd then use up 
to 60% CPU and one time the entire webserver crashed.
In my webserver logs I could not find error messages.
Also my horde.log does not show any failures.

Please find the email attached as rtf document.

Thanks for your help!
Regards,
Jens

Saved Queries